use crate::configs::GeoffreyBotConfig;
use geoffrey_models::models::settings::GeoffreySettings;
use serenity::prelude::TypeMapKey;

#[derive(Debug, Clone)]
pub struct GeoffreyContext {
    pub http_client: reqwest::Client,
    pub cfg: GeoffreyBotConfig,
    pub settings: GeoffreySettings,
}

impl TypeMapKey for GeoffreyContext {
    type Value = GeoffreyContext;
}
