use crate::models::parameters::GeoffreyParam;
use serde::{Deserialize, Serialize};

#[derive(Debug, Serialize, Deserialize, Clone)]
pub struct InfoParams {
    pub location_name: String,
}

impl InfoParams {
    pub fn new(location_name: String) -> Self {
        Self { location_name }
    }
}

impl GeoffreyParam for InfoParams {}
